# Uses of Class
serp.bytecode.LocalVariableType

Packages that use LocalVariableType
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of LocalVariableType in serp.bytecode

Methods in serp.bytecode that return LocalVariableType
Modifier and Type
Method
Description
`LocalVariableType`
LocalVariableTypeTable.`addLocalVariableType()`
Add a local to this table.
`LocalVariableType`
LocalVariableTypeTable.`addLocalVariableType(String name, String type)`
Add a local to this table.
`LocalVariableType`
LocalVariableTypeTable.`addLocalVariableType(LocalVariableType local)`
Import a local from another method/class.
`LocalVariableType`
LocalVariableTypeTable.`getLocalVariableType(int local)`
Return the local with the given locals index, or null if none.
`LocalVariableType`
LocalVariableTypeTable.`getLocalVariableType(String name)`
Return the local with the given name, or null if none.
`LocalVariableType[]`
LocalVariableTypeTable.`getLocalVariableTypes()`
Return all the locals of this method.
`LocalVariableType[]`
LocalVariableTypeTable.`getLocalVariableTypes(String name)`
Return all locals with the given name, or empty array if none.
Methods in serp.bytecode with parameters of type LocalVariableType
Modifier and Type
Method
Description
`LocalVariableType`
LocalVariableTypeTable.`addLocalVariableType(LocalVariableType local)`
Import a local from another method/class.

## Uses of LocalVariableType in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type LocalVariableType
Modifier and Type
Method
Description
`void`
BCVisitor.`enterLocalVariableType(LocalVariableType obj)`
`void`
PrettyPrintVisitor.`enterLocalVariableType(LocalVariableType obj)`
`void`
BCVisitor.`exitLocalVariableType(LocalVariableType obj)`
`void`
PrettyPrintVisitor.`exitLocalVariableType(LocalVariableType obj)`